Yoast SEO 19.10 Update – Know This Before Upgrading

Posted by

The totally free variation of Yoast SEO upgraded to version 19.10 and the premium version to 19.5, introducing many essential modifications.

This is what you need to understand about these releases if you’re thinking about whether or not to upgrade.

WooCommerce 7.1 Compatibility

Both the totally free and exceptional version releases benefit users who run the just recently launched WooCommerce version 7.1.

WooCommerce 7.1 is a substantial release and among the enhancements is a change to the database called, High Performance Order Storage (HPOS).

High Performance Order Storage makes modifications to the database so the activation of this brand-new feature is an optional for the time being to enable time for plugin developers to overtake the brand-new feature.

A WooCommerce explainer kept in mind:

“After the first production release, the HPOS feature will continue to be opt-in and we will assist designers in making their plugins compatible with HPOS, closely monitor how many extensions are compatible and how many stores are actively checking the function.”

Yoast 19.10/ 19.5 Premium both feature compatibility with the brand-new WooCommerce HPOS feature. That means if activation of HPOS results in a website crash it’s safe to eliminate Yoast SEO as an offender.

Users of the WooCommerce SEO add-on for Yoast will likewise gain from an update to structured information that makes it qualified for brand-new enhancements in search in Google.

Yoast 19.10 Fixes a Deadly Error Bug

The upgraded Yoast SEO plugin offers a spot for a bug that can result in site crashes.

The Yoast SEO changelog blames the issue on other (unnamed) plugins:

“Repairs a bug where a deadly mistake would be included the traditional editor in combination with particular plugins that misuse metabox hooks.”

An example of a metabox is a custom-made field that permits users to include additional content that isn’t in the main material.

Repairs Two Elementor-related Bugs

The very first Elementor-related bugfix repair work a concern that affected the capability to conserve Yoast SEO meta data (under specific situations), which is a huge deal.

The changelog states:

“Repairs a bug where Yoast SEO-related post meta data would not be conserved if a user without the manage_options ability would conserve a post in Elementor.”

Yoast’s second bugfix is associated with the previous one in that it arises from the very same “manage_options capability” issue.

The changelog explains:

“Fixes a bug where users with site-wide standard access authentication would be prompted to place their qualifications when conserving a post in Elementor if they didn’t have the manage_options ability.”

WordPress 6.1 Compatibility and Miscellaneous

Version 19.10 deprecated over a lots hooks that are utilized for including customized content to Yoast SEO settings pages.

Finally, Yoast SEO uses complete compatibility with the just launched WordPress 6.1 code-named Misha.

Should You Update to the current Variation of Yoast SEO?

Some individuals naturally choose to wait prior to upgrading a plugin in case there’s a significant mistake and that’s not a bad strategy.

Yoast SEO is utilized by over five million website publishers. The updated plugin was launched yesterday and there are no reports in the Yoast SEO assistance online forum that shows that there are any extensive problems with this update.

In fact, there are currently just random issues that in some cases have more to do with other plugins and themes.

There are no problems that suggest a pattern of concerns connected to this upgrade.

Considering upgrading to the current variation of Yoast SEO is an excellent idea, particularly to those who use WooCommerce or Elementor but not restricted to those users.

Yoast SEO 19.10/ 19.5 Premium are both suitable with the current variation of WordPress so that in itself makes updating a preferable option in addition to being a good practice to using the current version of all plugins and styles considering that this assists avoid incompatibility issues.

Included image by Best SMM Panel/Luis Molinero